=== debian/control ===
Source: ros-melodic-turtlebot3-panorama
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-turtlebot3-applications-msgs
Homepage: http://wiki.ros.org/turtlebot3_panorama
Standards-Version: 3.9.2

Package: ros-melodic-turtlebot3-panorama
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-cmake-modules, ros-melodic-cv-bridge, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-turtlebot3-applications-msgs, ros-melodic-turtlebot3-bringup
Description: This app utilises pano_ros for taking snapshots and stitching them together to create panorama pictures.
